Update Budgets
/unified/accounting/budgets/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
The unique identifier for budget
1 supported
The end date of the budget
1 supported
The line items of the budget
1 supported
The ID of the account
The amount of the line item
The date of the line item
The note of the line item
The name of the budget
1 supported
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
The start date of the budget
1 supported
The status of the budget
activearchived
1 supported
Response Body
The unique identifier for budget
1 supported
This represents the date when the budget was created
1 supported
The end date of the budget
1 supported
The line items of the budget
1 supported
The ID of the account
The amount of the line item
The date of the line item
The note of the line item
The name of the budget
1 supported
Raw data returned from the remote API call.
The start date of the budget
1 supported
The status of the budget
activearchived
1 supported
The tracking categories of the budget
The ID of the tracking category
The name of the tracking category
The option of the tracking category
This represents the date when the budget was updated
1 supported
curl -X PATCH 'https://api.truto.one/unified/accounting/budgets/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"id": "your_id",
"status": "active",
"name": "your_name",
"start_date": "your_start_date",
"end_date": "your_end_date",
"line_items": [],
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"id": "your_id",
"status": "active",
"name": "your_name",
"start_date": "your_start_date",
"end_date": "your_end_date",
"line_items": [],
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/accounting/budgets/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'PATCH',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/accounting/budgets/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"id": "your_id",
"status": "active",
"name": "your_name",
"start_date": "your_start_date",
"end_date": "your_end_date",
"line_items": [],
"remote_data": {}
}
response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.update(
'accounting',
'budgets',
'<resource_id>',
{
"id": "your_id",
"status": "active",
"name": "your_name",
"start_date": "your_start_date",
"end_date": "your_end_date",
"line_items": [],
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.update(
"accounting",
"budgets",
"<resource_id>",
{
"id": "your_id",
"status": "active",
"name": "your_name",
"start_date": "your_start_date",
"end_date": "your_end_date",
"line_items": [],
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())